<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_66a6b98e1f1601e30de10" . "feb344fcdb6" => base64_decode("SW52YWx" . "pZCB2YW" . "x1ZSAi"), "_bb26699a673361f" . "f7c17444a2a82deb" . "a" => base64_decode("SW52YWxpZCB2YWx1ZSBnaXZlbiBmb3IgZG9jdW1lbnQgbGlua" . "yBmaWVsZCA="), "_4b4a03dbe" . "69a4c39db0" . "14be2875a7" . "313" => base64_decode("Tm9uLW51bWVy" . "aWMgdmFsdWUg" . "Ig=="), "_3aec16c1aa2104da778e412207d6c" . "415" => base64_decode("L15cZHsxNH18XGR7" . "OH0kLw=="), "_d155d43a39de93f85" . "8123c6b6ce31d8a" => base64_decode("cHJlZ19tYXRja" . "A=="), "_a827c5bc10b88ccab760d95c58bfb" . "eaa" => base64_decode("Q291bGQgbm90IHBhcnN" . "lIHZhbHVlICI="), "_a7fdbac2a6d0ebb5bb8ea569" . "e8173d7b" => base64_decode("IiBmb3IgZGF0ZSBmaWVs" . "ZCA="), "_dc99f29eb97c274b4e47f6701fb2d8" . "42" => base64_decode("TWV0YWRhdGEgZmllbGQ" . "g"), "_fa96cdf58bff3b" . "0695fb2bc0803d7" . "b12" => base64_decode("IGRvZXMgbm90" . "IGV4aXN0"), "_bd71c3b5c" . "201fc11db8" . "2ed14ce424" . "de5" => base64_decode("aW5f" . "YXJy" . "YXk="), "_27ba77e349cbe1" . "44e8794d0c0497a" . "106" => base64_decode("IiBnaXZlbiBmb3I" . "gc2VsZWN0IGZpZW" . "xkIA=="), "_62d701c3c5" . "3404f06345e" . "b35720a47b4" => base64_decode("aXNfbnVt" . "ZXJpYw=="), "_535e3fcb3f5" . "d89c525bb618" . "a08cc8dcc" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVpdGhlciBhIGRvY3VtZW50IElEIG9yIGEgZG9jdW1lbnQg" . "b2JqZWN0"), "_d013620d4" . "b36b1d0350" . "9cbeff31bb" . "db9" => base64_decode("IiBnaXZlbiBmb3IgbnVtZXJpYyBmaWVsZ" . "CA="), "_ac927f4168510" . "971a59508f1f08" . "cf98a" => base64_decode("L15cZH" . "s4fSQv"), "_2cb499b451eb718f841aaa78dc70c" . "c52" => base64_decode("IiBmb3IgZGF0" . "ZS10aW1lIGZp" . "ZWxkIA=="));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_dc99f29eb97c2" . "74b4e47f6701fb" . "2d842"] . $key . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_fa96cdf58bff3b0695fb2bc08" . "03d7b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_62d701c3c53404f06345eb35720a47b" . "4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4b4a03dbe69a4c39db014be28" . "75a7313"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_d013620d4b36b1d03509cbeff31bbdb" . "9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_d155d43a39de93f858123c6b6ce31" . "d8a"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_3aec16c1aa2104da7" . "78e412207d6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_a827c5bc10b88ccab760d95c58" . "bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_2cb499b451eb718f841aa" . "a78dc70cc52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_bd71c3b5c201fc" . "11db82ed14ce424" . "de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_66a6b98" . "e1f1601e" . "30de10fe" . "b344fcdb" . "6"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_27ba77e349" . "cbe144e8794" . "d0c0497a106"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_62d701c3c5" . "3404f06345e" . "b35720a47b4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_bb26699a673361f" . "f7c17444a2a82deb" . "a"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_535e3fcb3f5" . "d89c525bb618" . "a08cc8dcc"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d155d43a39de93f858123c6b6ce3" . "1d8a"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_ac927f4168510971a59508f" . "1f08cf98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a827c5bc10b88cca" . "b760d95c58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_a7fdbac2a6d0ebb5bb8ea569e817" . "3d7b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}